/**   
* @Title: WorksServiceImpl.java 
* @Package com.hdp.customerservice.service 
* @Description: TODO
* @author new12304508_163_com   
* @date 2015年6月17日 下午4:08:05 
* @version V1.0   
*/
package com.hdp.customerservice.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.hdp.customerservice.model.WorksEntity;
import com.hdp.customerservice.repository.MemberRepository;
import com.hdp.customerservice.repository.WorksRepository;

@Service
@Transactional(readOnly = true)
public class WorksServiceImpl extends AbstractBaseServiceImpl<WorksEntity, Long> implements WorksService{
	
	@Autowired
	private WorksRepository workerRepository;
	
	@Override
	public WorksEntity findByUserNameIgnoreCase(String u) {
		return workerRepository.findByUserNameIgnoreCase(u);
	}
	
}
